## org.apache.poi.openxml4j.opc
Enum EncryptionOption

    java.lang.Object
      java.lang.Enum<EncryptionOption>
          org.apache.poi.openxml4j.opc.EncryptionOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EncryptionOption>

    public enum EncryptionOption

extends java.lang.Enum<EncryptionOption>

Specifies the encryption option for parts in a Package.

Version:
  0.1
Author:
  Julien Chable

Enum Constant Summary
`NONE` No encryption.

Method Summary
`static EncryptionOption` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EncryptionOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final EncryptionOption NONE

  No encryption.

Method Detail

### values

    public static EncryptionOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EncryptionOption c : EncryptionOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EncryptionOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.